/////////////////////////////////////
//                  		   	   //
//        S C O P E  F X	       //
//				   				   //
//  U S E R C O N F I G  F I L E   //
//                                 //
/////////////////////////////////////

/////////////////////////////////
//							   //
// (ADDITIONAL) WEAPON CLASSES //
//		 	       			   //
/////////////////////////////////

// Add classnames for modded guns into the respective arrays.  You may need to check which is the appropriate array to add the classname into!

// Classnames are case-sensitive.  Eg:  "UKF_L115A3_des" is okay, "UFf_l115A3_DeS" is not.

horde_tir_size_1_array_mods[]=
{
	// ACE WEAPONS

	"ACE_AEK_971_1pn100",
	"ACE_AEK_973s_1pn100",
	"ACE_AK74M_GL_NSPU",
	"ACE_AK74M_NSPU",
	"ACE_AK74M_NSPU_FL",
	"ACE_AK74M_NSPU_FL_F",
	"ACE_AK74M_SD_NSPU",
	"ACE_AK74M_SD_NSPU_F",
	"ACE_AKS74P_1P29",
	"ACE_AKS74P_GL_1P29",
	"ACE_AKS74P_GL_PSO",
	"ACE_AKS74P_PSO",
	"ACE_AS50",
	"ACE_G3SG1",
	"ACE_M109",
	"ACE_M110",
	"ACE_M110_SD",
	"ACE_TAC50",
	"ACE_TAC50_SD",
	"ACE_HK417_leupold",
	"ACE_M4SPR_SD",
	"ACE_Mk12mod1",
	"ACE_Mk12mod1_SD",

	// UKF L115

	"UKF_L115A3",
	"UKF_L115A3_des",
	"UKF_L115A3_wdl",
	"UKF_L115A3_sd",
	"UKF_L115A3_sd_des",
	"UKF_L115A3_sd_wdl",
	
	// RH M14

	"RH_m1ssp",
	"RH_m1stsp",
	"RH_m21",
	"RH_sc2sp",
	
	// RH MK18

	"RH_mk14ebrsp",
	"RH_mk14ebrsp_sd",
	
	// RH AK
	
	"RH_Rk95ag",
	"RH_Rk95sdag",
	
	// FHQ REMINGTON
	
	"FHQ_MSR_DESERT",
	"FHQ_MSR_NV_DESERT",
	"FHQ_MSR_NV_SD_DESERT",
	"FHQ_MSR_SD_DESERT",
	
	// CWR2 Rearmed
	
	"cwr2_G36",
	"cwr2_XMS"

};

horde_tir_size_2_array_mods[]=
{
	// ACE WEAPONS
	
	"ACE_AEK_971_1p78",
	"ACE_AEK_973s_1p78",
	"ACE_AK103_1P29",
	"ACE_AK103_GL_1P29",
	"ACE_AK103_GL_PSO",
	"ACE_AK103_PSO",
	"ACE_AK104_1P29",
	"ACE_AK104_PSO",
	"ACE_AK105_1P29",
	"ACE_AK105_PSO",
	"ACE_AK74M_1P29",
	"ACE_AK74M_1P78",
	"ACE_AK74M_1P78_FL",
	"ACE_AK74M_1P78_FL_F",
	"ACE_AK74M_GL_1P29",
	"ACE_AK74M_GL_1P78",
	"ACE_AK74M_GL_PSO",
	"ACE_AK74M_PSO",
	"ACE_AK74M_PSO_FL",
	"ACE_AK74M_SD_1P78",
	"ACE_AK74M_SD_1P78_F",
	"ACE_AK74M_SD_PSO",
	"ACE_AK74M_SD_PSO_F",
	"ACE_BAF_L7A2_GPMG",
	"ACE_HK417_Eotech_4x",
	"ACE_HK417_Shortdot",
	"ACE_G36A1_AG36_UP_F",
	"ACE_G36A1_AG36A1",
	"ACE_G36A1_AG36A1_D",
	"ACE_G36A1_AG36A1_D_F",
	"ACE_G36A1_AG36A1_D_UP",
	"ACE_G36A1_AG36A1_D_UP_F",
	"ACE_G36A1_AG36A1_F",
	"ACE_G36A2",
	"ACE_G36A2_AG36A2",
	"ACE_G36A2_Bipod",
	"ACE_G36A2_D",
	"ACE_G36A2_Bipod_D",
	"ACE_gr1sp",
	"ACE_gr1sdsp",
	"ACE_m16a2gl_scope_UP",
	"ACE_m16a2gl_scope",
	"ACE_m16a2_scope",
	"ACE_M240L_M145",
	"ACE_MG36",
	"ACE_MG36_D",
	"ACE_oc14glsp",
	"ACE_oc14sp",
	"ACE_oc14sdsp",
	"ACE_RPG29",
	"ACE_RPOM",
	"ACE_RPK74M_1P29",
	"ACE_SOC_M4A1_Eotech_4x",
	"ACE_SOC_M4A1_SHORTDOT",
	"ACE_SOC_M4A1_SHORTDOT_SD",
	"ACE_SVD_Bipod",
	"ACE_Val_PSO",

	// UKF SUSAT

	"ukf_L85A2_susat",  // If ACE installed, move this to horde_tir_size_4_array_mods
	"ukf_L86A2LSW_susat",  // If ACE installed, move this to horde_tir_size_4_array_mods
	"ukf_L86A2LSW_susat_fgrip",  // If ACE installed, move this to horde_tir_size_4_array_mods
	"ukf_L86A2LSW_susat",  // If ACE installed, move this to horde_tir_size_4_array_mods
	"ukf_L86A2LSW_susat_fgrip",  // If ACE installed, move this to horde_tir_size_4_array_mods
	"ukf_L85A2AG36_susat",  // If ACE installed, move this to horde_tir_size_4_array_mods
	"ukf_L85A2AG36_susat_fgrip",  // If ACE installed, move this to horde_tir_size_4_array_mods
	"ukf_lmg_SUSAT",  // If ACE installed, move this to horde_tir_size_4_array_mods
	"ukf_lmg_SUSAT_fgrip",  // If ACE installed, move this to horde_tir_size_4_array_mods
	"ukf_L85A2K_susat",  // If ACE installed, move this to horde_tir_size_4_array_mods
	"ukf_L85A2_RIS",  // If ACE installed, move this to horde_tir_size_4_array_mods

	// UFK SD

	"ukf_L85A2_sd",
	"ukf_L85A2_sd_CQB",

	// UFK MAXIKITE

	"ukf_L86A2LSW_MaxiKite",  // If ACE installed, move this to horde_tir_size_4_array_mods
	"ukf_L86A2LSW_MaxiKite_fgrip",  // If ACE installed, move this to horde_tir_size_4_array_mods
	"ukf_gpmg_MaxiKite",  // If ACE installed, move this to horde_tir_size_4_array_mods
	"ukf_gpmg_MaxiKite_fgrip",  // If ACE installed, move this to horde_tir_size_4_array_mods
	
	// FHQ REMINGTON
	
	"FHQ_ACR_BLK_G33",
	"FHQ_ACR_BLK_G33_F",
	"FHQ_ACR_TAN_G33_F",
	"FHQ_ACR_TAN_G33",
	"FHQ_ACR_SNW_G33_F",
	"FHQ_ACR_SNW_G33",
	"FHQ_ACR_WDL_G33",
	"FHQ_ACR_WDL_G33_F",
	"FHQ_ACR_BLK_G33_GL_F",
	"FHQ_ACR_BLK_G33_GL",
	"FHQ_ACR_TAN_G33_GL_F",
	"FHQ_ACR_TAN_G33_GL",
	"FHQ_ACR_SNW_G33_GL",
	"FHQ_ACR_SNW_G33_GL_F",
	"FHQ_ACR_WDL_G33_GL_F",
	"FHQ_ACR_WDL_G33_GL",
	"FHQ_ACR_BLK_G33_GL_SD_F",
	"FHQ_ACR_BLK_G33_GL_SD",
	"FHQ_ACR_TAN_G33_GL_SD",
	"FHQ_ACR_TAN_G33_GL_SD_F",
	"FHQ_ACR_SNW_G33_GL_SD_F",
	"FHQ_ACR_SNW_G33_GL_SD",
	"FHQ_ACR_WDL_G33_GL_SD_F",
	"FHQ_ACR_WDL_G33_GL_SD",
	"FHQ_ACR_BLK_G33_SD_F",
	"FHQ_ACR_BLK_G33_SD",
	"FHQ_ACR_TAN_G33_SD",
	"FHQ_ACR_TAN_G33_SD_F",
	"FHQ_ACR_SNW_G33_SD",
	"FHQ_ACR_SNW_G33_SD_F",
	"FHQ_ACR_WDL_G33_SD_F",
	"FHQ_ACR_WDL_G33_SD",
	"FHQ_RSASS_TAN",
	"FHQ_RSASS_SD_TAN",
	"FHQ_XM2010_DESERT",
	"FHQ_XM2010_NV_DESERT",
	"FHQ_XM2010_NV_SD_DESERT",
	"FHQ_XM2010_SD_DESERT",
	
	// FFAA
	
	"FFAA_Armas_AW",
	"FFAA_Armas_AW_des",
	"FFAA_Armas_AW_bos",
	"FFAA_Armas_AW_noc",
	"FFAA_Armas_AW50",
	"FFAA_Armas_Cetme_C_mira",
	"FFAA_Armas_FN_Fal_Trilux",
	"FFAA_Armas_HKAG36",
	"FFAA_Armas_HKAG36K",
	"FFAA_Armas_HKG36E",
	"FFAA_Armas_HKG36_Tir",
	"FFAA_Armas_HKG36K",
	"FFAA_Armas_HKG36k_OE2",
	"FFAA_Armas_HKG36k_OE3",
	"FFAA_Armas_M95",
	"FFAA_Armas_MG4",
	"FFAA_Armas_steyr",
	"FFAA_Armas_steyr_sl",
	
	// RH M4

	"RH_MK12",
	"RH_MK12sd",
	"RH_MK12mod1",
	"RH_MK12mod1sd",
	
	//RH MGS
	
	"RH_M14EBRSP",
	"RH_M14EBRSP_SD",
	"RH_MK21A5",
	"RH_MK21A5SD",
	
	// RH AK
	
	"RH_ak103sp",
	"RH_ak103glsp",
	"RH_ak104sp",
	"RH_ak104glsp",
	"RH_ak105sp",
	"RH_ak105glsp",
	"RH_AK107sp",
	"RH_AK107glsp",
	"RH_ak74sp",
	"RH_ak74msp",
	"RH_ak74mglsp",
	"RH_akmsp",
	"RH_aks74sp",
	"RH_aks74msp",
	"RH_aks74mglsp",
	"RH_aks74psp",
	"RH_aks74pglsp",
	"RH_aks74uptsp",
	"RH_asvalsp",
	"RH_gr1sdsp",
	"RH_gr1sp",
	"RH_oc14sdsp",
	"RH_oc14sp",
	"RH_oc14glsp",
	"RH_SVD",
	"RH_SVDb",
	"RH_SVDg",
	"RH_SVDs",
	"RH_SVU",
	
	// CWR2 Rearmed
	
	"cwr2_M21_wood",
	"cwr2_M21",
	
	//ACR DLC
	
	"CZ_750_S1_ACR"
	
};

horde_tir_size_3_array_mods[]=
{
	// ACE WEAPONS	

	"ACE_HK416_D14_ACOG_PVS14",
	"ACE_M14_ACOG",
	"ACE_M249_PIP_ACOG",
	"ACE_M27_IAR_ACOG",
	"ACE_M4_ACOG",
	"ACE_M4_ACOG_F",
	"ACE_M4_ACOG_PVS14",
	"ACE_M4_ACOG_PVS14",
	"ACE_M4_ACOG_PVS14_F",
	"ACE_M4_RCO_GL",
	"ACE_M4_RCO_GL_F",
	"ACE_M4_RCO_GL_UP",
	"ACE_M4_RCO_GL_UP_F",
	"ACE_M4A1_ACOG",
	"ACE_M4A1_ACOG_F",
	"ACE_M4A1_ACOG_PVS14",
	"ACE_M4A1_ACOG_PVS14_F",
	"ACE_M4A1_ACOG_SD",
	"ACE_M4A1_ACOG_SD_F",
	"ACE_M4A1_RCO_GL",
	"ACE_M4A1_RCO2_GL",
	"ACE_M16A4_ACG_GL_UP",
//	"ACE_RPG7V_PGO7",		// Doesn't work yet - need to modify detect_opticsmode.sqf
//	"ACE_SCAR_H_STD_Spect",		// three modes!!!! - won't be compatable  :(
	"ACE_SOC_M4A1_RCO_GL",
	
	// FFAA
	
	"FFAA_Armas_HKAG36Acog",
	"FFAA_Armas_MG4_acog",
	
	// RH AK

	"RH_ak103_1p29",
	"RH_ak103gl1p29",
	"RH_ak104_1p29",
	"RH_ak104gl1p29",
	"RH_ak105_1p29",
	"RH_ak105gl1p29",
	"RH_AK107_1p29",
	"RH_AK107gl1p29",
	"RH_ak74m1p29",
	"RH_ak74mgl1p29",
	"RH_aks74m1p29",
	"RH_aks74mgl1p29",
	"RH_aks74p1p29",
	"RH_aks74pgl1p29",
	"RH_rpk74m1p29",
	
	// R3F Armes
	
	"R3F_HK417L_NF",
	"R3F_HK417L_NF",
	"R3F_HK417L_NF_DES",
	"R3F_PGM_Hecate_II_POLY",
	
	// CWR2 Rearmed
	
	"cwr2_HuntingRifle"
	
};

horde_tir_size_4_array_mods[]=
{
	// ACE WEAPONS

	// none

	// UKF ACOG

	"ukf_L85A2_acog",
	"ukf_L85A2_acog_CQB",
	"ukf_L85A2AG36_acog",
	"ukf_L85A2AG36_acog_fgrip",
	"ukf_L85A2AG36_acog_CQB",
	"ukf_L85A2AG36_acog_fgrip_CQB",
	"ukf_lmg_ACOG",
	"ukf_lmg_ACOG_fgrip",

	// UKF CWS

	"ukf_L85A2_cws",
	"ukf_L85A2_cws_CQB",
	"ukf_L85A2AG36_cws",
	"ukf_L85A2AG36_cws_fgrip",
	"ukf_L85A2AG36_cws_CQB",
	"ukf_L85A2AG36_cws_fgrip_CQB",
	"ukf_lmg_CWS",
	"ukf_lmg_CWS_fgrip",
	
	// FHQ REMINGTON
	
	"FHQ_ACR_BLK_HAMR_F",
	"FHQ_ACR_BLK_HAMR",
	"FHQ_ACR_TAN_HAMR_F",
	"FHQ_ACR_TAN_HAMR",
	"FHQ_ACR_SNW_HAMR",
	"FHQ_ACR_SNW_HAMR_F",
	"FHQ_ACR_WDL_HAMR_F",
	"FHQ_ACR_WDL_HAMR",
	"FHQ_ACR_BLK_HAMR_GL_F",
	"FHQ_ACR_BLK_HAMR_GL",
	"FHQ_ACR_TAN_HAMR_GL",
	"FHQ_ACR_TAN_HAMR_GL_F",
	"FHQ_ACR_SNW_HAMR_GL_F",
	"FHQ_ACR_SNW_HAMR_GL",
	"FHQ_ACR_WDL_HAMR_GL_F",
	"FHQ_ACR_WDL_HAMR_GL",
	"FHQ_ACR_BLK_HAMR_GL_SD_F",
	"FHQ_ACR_BLK_HAMR_GL_SD",
	"FHQ_ACR_TAN_HAMR_GL_SD",
	"FHQ_ACR_TAN_HAMR_GL_SD_F",
	"FHQ_ACR_SNW_HAMR_GL_SD_F",
	"FHQ_ACR_SNW_HAMR_GL_SD",
	"FHQ_ACR_WDL_HAMR_GL_SD",
	"FHQ_ACR_WDL_HAMR_GL_SD_F",
	"FHQ_ACR_BLK_HAMR_SD",
	"FHQ_ACR_BLK_HAMR_SD_F",
	"FHQ_ACR_TAN_HAMR_SD_F",
	"FHQ_ACR_TAN_HAMR_SD",
	"FHQ_ACR_SNW_HAMR_SD_F",
	"FHQ_ACR_SNW_HAMR_SD",
	"FHQ_ACR_WDL_HAMR_SD",
	"FHQ_ACR_WDL_HAMR_SD_F",
	"FHQ_ACR_BLK_RCO",
	"FHQ_ACR_BLK_RCO_F",
	"FHQ_ACR_TAN_RCO",
	"FHQ_ACR_TAN_RCO_F",
	"FHQ_ACR_SNW_RCO",
	"FHQ_ACR_SNW_RCO_F",
	"FHQ_ACR_WDL_RCO_F",
	"FHQ_ACR_WDL_RCO",
	"FHQ_ACR_BLK_RCO_GL_F",
	"FHQ_ACR_BLK_RCO_GL",
	"FHQ_ACR_TAN_RCO_GL_F",
	"FHQ_ACR_TAN_RCO_GL",
	"FHQ_ACR_SNW_RCO_GL",
	"FHQ_ACR_SNW_RCO_GL_F",
	"FHQ_ACR_WDL_RCO_GL",
	"FHQ_ACR_WDL_RCO_GL_F",
	"FHQ_ACR_BLK_RCO_GL_SD_F",
	"FHQ_ACR_BLK_RCO_GL_SD",
	"FHQ_ACR_TAN_RCO_GL_SD_F",
	"FHQ_ACR_TAN_RCO_GL_SD",
	"FHQ_ACR_SNW_RCO_GL_SD_F",
	"FHQ_ACR_SNW_RCO_GL_SD",
	"FHQ_ACR_WDL_RCO_GL_SD",
	"FHQ_ACR_WDL_RCO_GL_SD_F",
	"FHQ_ACR_BLK_RCO_SD",
	"FHQ_ACR_BLK_RCO_SD_F",
	"FHQ_ACR_TAN_RCO_SD",
	"FHQ_ACR_TAN_RCO_SD_F",
	"FHQ_ACR_SNW_RCO_SD",
	"FHQ_ACR_SNW_RCO_SD_F",
	"FHQ_ACR_WDL_RCO_SD_F",
	"FHQ_ACR_WDL_RCO_SD",
	
	// LENNARD L119A1

	"LEN_L119A1_Acog",
	"LEN_L119A1_Acog_hg",
	"LEN_L119A1_Acog_cqb",
	"LEN_L119A1_Acog_pf",
	"LEN_L119A1_Acog_pf_sd",
	"LEN_L119A1_Acog_cqb_sd",
	"LEN_L119A1_Acog_cqb_sd_hg",
	"LEN_L119A1_Acog_ugl",
	"LEN_L119A1_Acog_ugl_pf",
	"LEN_L119A1_Acog_D",
	"LEN_L119A1_Acog_hg_D",
	"LEN_L119A1_Acog_cqb_D",
	"LEN_L119A1_Acog_pf_D",
	"LEN_L119A1_Acog_pf_sd_D",
	"LEN_L119A1_Acog_cqb_sd_D",
	"LEN_L119A1_Acog_cqb_sd_hg_D",
	"LEN_L119A1_Acog_ugl_D",
	"LEN_L119A1_Acog_ugl_pf_D",
	"LEN_L119A1_Acog_W",
	"LEN_L119A1_Acog_hg_W",
	"LEN_L119A1_Acog_cqb_W",
	"LEN_L119A1_Acog_pf_W",
	"LEN_L119A1_Acog_pf_sd_W",
	"LEN_L119A1_Acog_cqb_sd_W",
	"LEN_L119A1_Acog_cqb_sd_hg_W",
	"LEN_L119A1_Acog_ugl_W",
	"LEN_L119A1_Acog_ugl_pf_W",
	
	// RH HK416
	
	"RH_hk416acog",
	"RH_hk416glacog",
	"RH_hk416sacog",
	"RH_hk416sglacog",
	"RH_ctar21glacog",
	"RH_hk417acog",
	"RH_hk417sdacog",
	"RH_hk417sacog",
	"RH_hk417sglacog",
	"RH_hk417sp",
	"RH_hk417sdsp",
	"RH_acrbacog",
	"RH_acracog",
	"RH_acrbglacog",
	"RH_acrglacog",
	"RH_m27cacog",
	"RH_m27acog",
	"RH_masacog",
	"RH_masbacog",
	"RH_massdacog",
	"RH_masbsdacog",
	"RH_star21",
	
	// FFAA
	
	"FFAA_Armas_fn_falscope",
	"FFAA_Armas_Cetme_LVN",
	
	// RH M14

	"RH_m14acog",
	"RH_m1sacog",
	"RH_m1sshd",
	"RH_m1stacog",
	"RH_m1stshd",
	"RH_sc2acog",
	"RH_sc2shd",
	
	// RH M4

	"RH_ar10s",
	"RH_M16a1sgl",
	"RH_M16a1s",
	"RH_M16a2sgl",
	"RH_M16a2s",
	"RH_M16a3sgl",
	"RH_M16a3cs",
	"RH_M16a3s",
	"RH_M16A4acog",
	"RH_M16A4glacog",
	"RH_M249acog",
	"RH_M249elcan",
	"RH_M249pacog",
	"RH_M249pelcan",
	"RH_M4acog",
	"RH_M4glacog",
	"RH_M4a1acog",
	"RH_M4a1glacog",
	"RH_M4sdglacog",
	"RH_M4macog",
	"RH_M4sbracog",
	"RH_M4sdacog",
	"RH_Mk48mod1acog",
	"RH_Mk48mod1elcan",
	
	// RH MGS
	
	"RH_M14EBRGC_SD",
	"RH_M14EBRGC",
	"RH_M4CACOG",
	"RH_M4CGLACOG",
	"RH_M4CTSDGLACOG_F",
	"RH_M4CTSDGLACOG",
	"RH_M4CMKACOG",
	"RH_M4CSACOG",
	"RH_M4CTSDACOG_F",
	"RH_M4CTSDACOG",
	"RH_M60E4_ACOG",
	"RH_M60E4_ELCAN",
	"RH_MK14ACOG",
	"RH_MK14SDACOG",
	"RH_MK43_ACOG",
	"RH_MK43_ELCAN",
	"RH_SCARAKACOG",
	"RH_SCARH_ACOG",
	"RH_SCARHB_GL_ACOG",
	"RH_SCARH_GL_ACOG",
	"RH_SCARH_GL_SPECTERDR",
	"RH_SCARH_MK4",
	"RH_SCARH_SD_ACOG",
	"RH_SCARH_SPECTERDR",
	"RH_SCARL_ACOG",
	"RH_SCARLB_GL_ACOG",
	"RH_SCARL_GL_ACOG",
	"RH_SCARL_SD_GL_ACOG",
	"RH_SCARL_MK4",
	"RH_SCARL_SD_ACOG",
	
	// RH MK18

	"RH_mk14ebrgc_sd",
	"RH_mk14ebrgc",
	"RH_mk14tacog",
	"RH_mk14tsdacog",
	"RH_Mk18acog",
	"RH_Mk18glacog",
	"RH_mk18dcacog",
	"RH_mk18dcglacog",
	"RH_mk18dcsdacog",
	"RH_Mk18sdacog",
	"RH_Mk18dacog",
	"RH_Mk18dglacog",
	"RH_Mk18dsdacog",
	
	// RH PDW
	
	"RH_PDW_ACOG",
	
	// R3F Armes
	
	"R3F_FRF2_J8",
	"R3F_FRF2_J8_DES",
	"R3F_FRF2_J8_SD",
	"R3F_FRF2_J8_SD_DES",
	"R3F_Minimi_762_OB50",
	"R3F_PGM_Hecate_II",
	"R3F_PGM_Hecate_II_DES",
	"R3F_PGM_Hecate_II_MILDOT",
	"R3F_PGM_Hecate_II_MILDOT_DES",

	// CWR2 Rearmed
	
	"cwr2_CarlGustav",
	"cwr2_SVD_wood",
	"cwr2_SVD",
	"cwr2_SVD",
	
	// ACR DLC
	
	"CZ805_A1_ACR", // Remove if ACE is runnning
	"CZ805_A1_GL_ACR", // Remove if ACE is runnning
	"CZ805_B_GL_ACR"

};

horde_tir_size_5_array_mods[]=
{
	// empty
};

horde_tir_r3f_j4_array_mods[]=
{
	"R3F_Famas_F1_J4_M203",
	"R3F_Famas_F1_J4_M203_DES",
	"R3F_Famas_F1_J4_M203_SD",
	"R3F_Famas_F1_J4_M203_SD_DES",
	"R3F_Famas_G2_J4",
	"R3F_Famas_G2_J4_DES",
	"R3F_Famas_G2_J4_HG",
	"R3F_Famas_G2_J4_HG_DES",
	"R3F_Minimi_762_J4",
	"R3F_Minimi_J4"
};

///////////////////////
//					 //
// PRECISION OPTIONS //
//					 //
///////////////////////

// Adjusts the threshold at which the scope overlays move

// objective lens controls

horde_tir_mousespeed_rate_x_axis = 0.05;				// larger is faster						// Default = 0.05
horde_tir_mousespeed_rate_y_axis = 0.1;					// larger is faster						// Default = 0.1
horde_tir_opticslag_rate = 0.125;							// smaller is faster					// Default = 0.1 - also 0.13 is nice

// obtuse lens controls

horde_tir_headtracker_max_deflection_x_axis = 0.025;	// bigger is larger max movement		// Default = 0.025
horde_tir_headtracker_max_deflection_y_axis = 0.025;	// bigger is larger max movement		// Default = 0.025
horde_tir_headtracker_rate = 0.1;						// smaller is faster					// Default = 0.1

// recoil rate

horde_tir_recoil_rate = 0.05;							// 0 is instant, bigger is slower		// Default = 0.05

/////////////////////
//				   //
// ZEROING OVERLAY //
//				   //
/////////////////////

// If set to 0 then disable ScopeFX Zeroing UI

horde_tir_allow_zeroing = 1;

// uncomment if not using the ScopeFX Zeroing UI

//#define horde_tir_show_arma2_default_zeroing

///////////////
//	     	 //
// KEY BINDS //
//	     	 //
///////////////

class horde_tir_sys_core
{
	class horde_tir_check_magazine      // This changes the key used to check magazine
	{
		key = 25;  // << P
		shift = 0;
		ctrl = 0;
		alt = 0;
	};

	class horde_tir_reset_cqb_sights    // Debug command (only need to use in the rare event of
                                        // teamswitching into someone who is in a different opticsMode)
	{
		key = 25;  // << P
		shift = 1; // press Shift
		ctrl = 1; // press Ctrl
		alt = 0;
	};
};

/////////////
//	   	   //
// VERSION //
//	       //
/////////////
		
// If userconfig version is wrong, hint will display on mission load
		
horde_tir_userconfig_version = 4;  // << DO NOT EDIT THIS NUMBER!!

/////////////////////////////////////////////////////////////////////////////////////////////////////

/*  Keycodes are listed below

ESC = 1 
F1 = 59 
F2 = 60 
F3 = 61 
F4 = 62 
F5 = 63 
F6 = 64 
F7 = 65 
F8 = 66 
F9 = 67 
F10 = 68 
F11 = 87 
F12 = 88 
PRINT = 183 
SCROLL = 70 
PAUSE = 197 
^ = 41 
1 = 2 
2 = 3 
3 = 4 
4 = 5 
5 = 6 
6 = 7 
7 = 8 
8 = 9 
9 = 10 
0 = 11 
 = 12 
 = 13 
 = 26 
 = 39 
 = 40 
# = 43 
< = 86 
, = 51 
. = 52 
- = 53 
+ = NOT DEFINED 
POS1 = 199 
TAB = 15 
ENTER = 28 
DELETE = 211 
BACKSPACE = 14 
INSERT = 210 
END = 207 
PAGEUP = 201 
PAGEDOWN = 209 
CAPS = 58 
A = 30 
B = 48 
C = 46 
D = 32 
E = 18 
F = 33 
G = 34 
H = 35 
I = 23 
J = 36 
K = 37 
L = 38 
M = 50 
N = 49 
O = 24 
P = 25 
Q = 16 
U = 22 
R = 19 
S = 31 
T = 20 
V = 47 
W = 17 
X = 45 
Y = 44 
Z = 21 
SHIFTL = 42 
SHIFTR = 54 
UP = 200 
DOWN = 208 
LEFT = 203 
RIGHT = 205 
NUM_0 = 82 
NUM_1 = 79 
NUM_2 = 80 
NUM_3 = 81 
NUM_4 = 75 
NUM_5 = 76 
NUM_6 = 77 
NUM_7 = 71 
NUM_8 = 72 
NUM_9 = 73 
NUM_+ = 78 
NUM = 69 
NUM_/ = 181 
NUM_* = 55 
NUM_- = 74 
NUM_, = 83 
NUM_ENTER = 156 
STRGL = 29 
STRGR = 157 
WINL = 220 
WINR = 219 
ALT = 56 
SPACE = 57 
ALTGR = 184 
APP = 221

/////////////////////////////////////////////////////////////////////////////////////////////////////

 . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . ______________ . . .
 . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . ./ Its a trap! \ . . .
 . . . . . . . . . . . . . . . . _,,,--~~~~~~~~--,_ . . . . . . . . . \  ____________/ . . .
 . . . . . . . . . . . . . . ,- : : : :::: :::: :: : : : : : -, . . \/. . . . . . . . . .
 . . . . . . . . . . . . .,- :: : : :::: :::: :::: :::: : : :o : -, . . . . . . . . . .
 . . . . . . . . . . . ,- :: ::: :: : : :: :::: :::: :: : : : : :O -, . . . . . . . . .
 . . . . . . . . . .,- : :: :: :: :: :: : : : : : , : : : :::: :::: ::; . . . . . . . .
 . . . . . . . . .,- / / : :: :: :: :: : : :::: :::-, ;; ;; ;; ;; ;; ;; ;\ . . . . . . . .
 . . . . . . . . /,-, :: : : : : : : : : :: :: :: : -, ;; ;; ;; ;; ;; ;;| . . . . . . .
 . . . . . . . /,,- :: :: :: :: :: :: :: : ::_,-~~,_-, ;; ;; ;; ;; | . . . . . . .
 . . . . . _/ :, :/ :: :: :: : : :: :: _,-/ : ,-;-~-, ;; ;; ;;, . . . . . . . .
 . . . ,- / : : : : : : ,- : : :,-- :|| /,----__, \ ;; ;,- . . . . . . . .
 . . . \ :/,, : : : _,- --,,_ : : \ :\ ||/ /,--x### ::\ \ ;;/ . . . . . . . . . .
 . . . . \/ /--- : \ #\ : :\ : : \ :\ \| | : (O## : :/ /- . . . . . . . . . . .
 . . . . /,____ : :\ -#\ : \, : :\ :\ \ \ : -,___,-,-`-,, . . . . . . . . . . .
 . . . .  ) : : : :--,,--,,,,,, \ \ :: ::--,,_-,, :- :-, . . . . . . . . .
 . . . . .) : : : : : : ,, : ~~~~ \ :: :: :: : :: ,- :,/\ . . . . . . . . .
 . . . . .\,/ /|\\| | :/ / : : : : : : : ,-, :: :: :: :: ::,-- :,- \ \ . . . . . . . .
 . . . . .\\|\\ \|/ / / :: :_--,, : , | ); :: :: :: :,- : ,- : : :\ \, . . . . . . .
 . . . ./ :| \ |\ : |/\ :: ::----, :\/ :|/ :: :: ,- : :,- : : : : : : -,,_ . . . .
 . . ..| : : :/ -(, :: :: :: ~,,,,, :: ,- : :,- : : : : : : : : :,-\\ . . . .
 . ,- : : : | : : ) : : :~-,: : ,-- : :,- : : : : : : : : : ,- :-,_ .
 ./ : : : : :-, :: | :: :: :: _,,- : ,-- : : : : : : : : : : : / : : : : : : :-,
 / : : : : : -, : : : _,,-~ : : : : : : : : : : : : : :| : : : : : : : : :
 : : : : : : :~~~~~~ : : : : : : : : : : : : : : : : : : | : : : : : : : : :
